<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:exsl="http://xmlns.opentechnology.org/xslt-extensions/common">

	<xsl:preserve-space elements="*"/>

	<xsl:include href="Header.xsl" />

	<xsl:template match="film//villain" >

		<span class="ItemHighlight"><xsl:value-of select="." /></span>
	
	</xsl:template>


	<xsl:template match="film" >

		<html>
			<head>
				<link rel="stylesheet" href="Index.css" type="text/css" />
				<title><xsl:value-of select="title" /></title>
			</head>

			<body>

				<xsl:call-template name="DisplayBanner" />

				<div class="Content">

					<p class="Title">
						<xsl:value-of select="title" /> (<xsl:value-of select="year" />)
					</p>

					<p>
						<xsl:value-of select="intro" />
					</p>

					<p class="Header">
						Plot
					</p>

					<p>
						<xsl:copy-of select="plot/*"/>
					</p>

					<p class="Header">
						Fleming Connection
					</p>

					<p>
						<xsl:value-of select="fleming_connection" />
					</p>

					<p>
						WARNING: If you haven't seen the film, reading beyond this point may reveal more information than you wanted to know.
					</p>

					<p class="Header">
						Villains
					</p>
					
					<p>
						<xsl:value-of select="villains" />
					</p>

					<p class="Header">
						Henchmen
					</p>
					
					<p>
						<xsl:value-of select="henchmen" />
					</p>					

					<p class="Header">
						Girls
					</p>
					
					<p>
						<xsl:value-of select="girls" />
					</p>	
		
					<p class="Header">
						Allies
					</p>
					
					<p>
						<xsl:value-of select="allies" />
					</p>	

					<p class="Header">
						Vehicles
					</p>
					
					<p>
						<xsl:value-of select="vehicles" />
					</p>

					<p class="Header">
						Gadgets
					</p>
					
					<p>
						<xsl:value-of select="gadgets" />
					</p>

					<p class="Header">
						Teaser Sequence
					</p>

					<p>
						<xsl:value-of select="teaser/summary" /> (Running Time: <xsl:value-of select="teaser/running_time" />)
					</p>

					<p class="Header">
						Locations
					</p>
					
					<p>
						<xsl:value-of select="locations" />
					</p>

					<p class="Header">
						Theme Song
					</p>
					
					<p>
						<b>Title:</b> "<xsl:value-of select="theme_song/title" />"
						<br />
						<b>Artist:</b> <xsl:value-of select="theme_song/artist" />
						<br />
						<xsl:value-of select="theme_song/notes" />
					</p>

				</div>

			</body>
		
		</html>

	</xsl:template>

	<exsl:function name="my:func">

		<xsl:param name="foo" />

	</exsl:function>


</xsl:stylesheet>